Page MenuHomePhabricator

Fix 'Licensed under Fair Use' credits
Closed, ResolvedPublic

Description

Narrative

As a user, I can get proper attribution and license credits if an image is fair use, so that I am not confused by an incorrect label if it not licensed for re-use.

Acceptance Criteria

  • If a file is fair use, just show a 'Fair use' label instead of 'Licensed under Fair Use' credits in the 'Embed' or 'Download'panels
  • Also indicate that this file is not licensed for re-use in the 'Download' and 'Share/Embed' panels
  • This would require expanding COM:MRD, not a trivial fix

Event Timeline

Gilles created this task.Nov 26 2014, 4:40 PM
Gilles assigned this task to Tgr.
Gilles raised the priority of this task from to Normal.
Gilles updated the task description. (Show Details)
Gilles added projects: MediaViewer, Multimedia.
Gilles changed Security from none to None.
Gilles added a subscriber: Gilles.
Gilles moved this task from Untriaged to Next up on the Multimedia board.Nov 26 2014, 4:41 PM
Gilles moved this task from Next up to Ready for testing on the Multimedia board.Nov 26 2014, 4:51 PM
Gilles added a comment.Dec 1 2014, 5:18 PM

Gergo, could you provide a beta URL where this can be tested?

Tgr added a comment.Dec 1 2014, 8:21 PM

The reason the HTML and plaintext attribution differs is that the code is slightly different:

creditParams.push( this.htmlUtils.htmlToText( info.imageInfo.license.longName || '' ) );

vs.

creditParams.push( info.imageInfo.license.getShortLink() );

Both of those look slightly wrong, actually.

Change 176731 had a related patch set uploaded (by Gergő Tisza):
Fix inconsistencies in attribution text * use the same text for plain and HTML format * use the same text whether or not a deed URL is set

https://gerrit.wikimedia.org/r/176731

Patch-For-Review

Change 176731 merged by jenkins-bot:
Fix inconsistencies in attribution text * use the same text for plain and HTML format * use the same text whether or not a deed URL is set

https://gerrit.wikimedia.org/r/176731

Gilles added a comment.Dec 3 2014, 3:48 PM

Also indicate that this file is not licensed for re-use in the 'Download' and 'Share/Embed' panels

That part hasn't been done yet, as far as I can see.

Tgr added a comment.Dec 3 2014, 4:48 PM

Uhh, forgot about that. I'll put his back in the sprint column.

Tgr moved this task from Ready for testing to Next up on the Multimedia board.Dec 3 2014, 4:49 PM
Tgr updated the task description. (Show Details)Dec 4 2014, 2:43 AM
Tgr added a project: Design.Dec 4 2014, 3:00 AM

Needs design.

Tgr added a subscriber: Pginer-WMF.Dec 4 2014, 3:00 AM

I contacted Pau and Luis about this via email for their design and legal recomendations.

One possible way to address this request might be to change the wording in the download panel to say something like:

‘This file is not licensed for re-use.’

(Instead of what we say now: ‘You need to attribute the author’)

But I defer to Pau and Luis to give us a final wording change to solve this issue, so we can wrap this up. :)

Note that we have already deployed the first part of this ticket, and now display a ‘Fair use’ label in the license area of Media Viewer, as shown in this example:
https://en.wikipedia.org/wiki/File:%22A_Spot_of_Bother%22_(1938_film).jpg#mediaviewer/File:%22A_Spot_of_Bother%22_(1938_film).jpg

See more fair use files here on Enwiki: https://en.wikipedia.org/wiki/Category:Fair_use_in..._images

Is this label specific to enwiki's fair use tag? Or will it be translated for other copyright exceptions?

Enwiki is the main reason we're developing this feature now, because it has so many fair use files. But there may be other projects that also have fair use files in other languages, so we may want to get this translated as we do for all other parts of our UI, unless there are legal reasons why we shouldn't.

I'm just concerned that I can wordsmith this to properly handle the US concept of fair use, but basically all of the nuance will be lost as soon as it is translated for other templates.

I hate to say this, but maybe this information belongs in the template so that the community can manage it alongside the rest of the text?

Mobile.

Tgr added a comment.Dec 5 2014, 6:48 AM

Is this label specific to enwiki's fair use tag? Or will it be translated for other copyright exceptions?

It will be used for all nonfree licenses.

Currently, the panel says

You [need to / can ] attribute the author
Show me how

and clicking on it brings up the suggested attribution text.

I assume we want to keep this behavior (as part of the ticket was about how the attribution text should be changed), which I suppose means the text on the panel should continue to suggest that it is clickable.

Also we should probably suggest the user to visit the file page to determine whether they can reuse the file?

Pau, what's the maximum character count I can practically use here?

Pginer-WMF added a comment.EditedDec 5 2014, 5:41 PM

If I understand tis correctly, the goal is to (a) communicate more clearly that this is not a feely licensed file, and (b) make the attribution text consistent with that (which I'm not sure if we can say that you must, should, or may attribute the author on these kind of files).

I created a mockup where we show the warning and adjusted the attribution text:

I think that trying to convey both pieces of information just with the attribution text area may become confusing (does it apply only to attribution?) or may hide the purpose of the attribution element.

Luis, I would say the minimum that is needed. I based the mockup text on the current templates, but feel free to provide an alternative.

Tgr added a comment.Dec 5 2014, 8:23 PM

(which I'm not sure if we can say that you must, should, or may attribute the author on these kind of files).

Must/should is a separate flag which editors can set per license.

I like the mockup (it is clear, and it makes our life easier that the nonfree flag does not have to interact with other flags influencing the attribution call-to-action panel). Luis, any objections/tweaks?

Can we reuse this for share / embed (there is no call to action panel there so jut put the yellow bar at the bottom)?
How about using it for other "warning" scenarios (T71389, T71557)?

Thanks, Pau!

I too like the mockup very much, for all the reasons stated by Gergo.

From a product standpoint, it would be wonderful if the same yellow warning could also be added at the bottom of the Share and Embed for consistency, if it's easy to do. It would greatly reduce confusion on this front for all use cases cited by Gergo above.

I like the mockup's text for this specific use case - to the point, accurate, does not try to get fancy.

In the other warning scenarios, you probably want different text, but the mockup/layout should be OK.

Tgr added a comment.Dec 5 2014, 11:28 PM

I would change "its license details" to "its details" so the second line can be reused and the first line issue-specific ("This file is considered for deletion.", "This file has no author/source information.").

Good suggestion, Gergo! I think it works fine to remove the second instance of 'license' to support a more generic use of this warning. And it makes the copy less redundant, always a good thing. You have my support to go ahead with this.

Change 178059 had a related patch set uploaded (by Gergő Tisza):
Add functions to display/remove a warning in the dialogs

https://gerrit.wikimedia.org/r/178059

Patch-For-Review

Change 178141 had a related patch set uploaded (by Gergő Tisza):
Display warnings for licence/attribution problems

https://gerrit.wikimedia.org/r/178141

Patch-For-Review

Sounds good then. Removing the "design" tag.

Tgr raised the priority of this task from Normal to High.Dec 11 2014, 12:49 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 29 2015, 2:54 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:44 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Update: patch is waiting for a follow up from @Tgr

Jdlrobson changed the task status from Open to Stalled.Oct 1 2015, 8:32 PM

@Tgr can you update the card from stalled when you've submitted a follow up? Thanks!

TheDJ added a subscriber: TheDJ.Nov 11 2015, 12:03 AM

Perhaps this is something that Community-Tech could consider picking up ?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 6:42 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptApr 19 2016, 6:42 PM
ZhouZ moved this task from Backlog to Legal Done on the WMF-Legal board.Apr 19 2016, 6:42 PM
Jdlrobson lowered the priority of this task from High to Low.May 25 2016, 4:23 PM
Jdlrobson added a project: Community-Tech.

Doesn't sound like an appropriate project for Community Tech. See https://www.mediawiki.org/wiki/Community_Tech#Scope: "Tasks that will not be in scope will include: Maintaining orphaned/abandoned projects from other WMF teams. The rest of engineering must continue to appropriately resource ongoing maintenance of products and features they create."

(We do however make exceptions for things that are clearly broken and causing community grief.)

Josve05a changed the task status from Stalled to Open.Jul 24 2017, 12:25 AM
Josve05a added a subscriber: Josve05a.

Don't see why this is stalled since 2015. The fact that nobody is working on it doesn't mean a task is stalled, just unmaintained.

Change 178059 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Add functions to display/remove a warning in the dialogs

https://gerrit.wikimedia.org/r/178059

Change 178141 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Display warning for licence/attribution problems

https://gerrit.wikimedia.org/r/178141

matthiasmullie closed this task as Resolved.Sep 28 2017, 1:51 PM